Live-cd aktualizace

Možnost aktualizace z "live-cd" v instalaci aptosidu není. Předtím, než se pustíte do instalace aptosidu, tak si ZAZÁLOHUJTE SVÁ DATA! včetně záložek a emailů.

Je vřele doporučováno, abyste měli oddělený diskový oddíl pro data. Výhody pro obnovení při neštěstí a stabilitu vašich dat jsou nezměrné.

Tímto způsobem se vaše $HOME stane místem, kde si budou vaše aplikace uchovávat základní nastavení. Stane se tedy takovým úložištěm nastavení.

VŽDY SI ZAZÁLOHUJTE SVÁ DATA! včetně vašich záložek a emailů"

Aktualizace z pevného disku

Aktualizace již nainstalovaného systému je uskutečňována pomocí "dist-upgrade". Tím bude zajištěno, že budete mít nejnovější balíčky a bezpečnostní aktualizace. Je nesmírně důležité ale prvně zkontrolovat, jaké balíčku budou aktualizovány:

V aptodisu je to nazýváno 'dist-upgrade' a je to prováděno přes internet.

Jediná podporovaná metoda dist-upgrade je následující:

VŮBEC NIKDY neprovádějte dist-upgrade, ani upgrade, pokud se nacházíte v X.
Vždy si prověřte aktuální varování na stránkaách aptosidu. Tyto varování jsou zde z jistého důvodu, daného vlastním charakterem 'unstable' repozitáře, a jsou každodenně aktualizovány.

## Odhlašte se z KDE.
## Přepněte se do textového modu klávesovou kombinací Ctrl+Alt+F1
## přihlašte se jako root a zadejte:
init 3
apt-get update
apt-get dist-upgrade
apt-get clean
init 5 && exit
NIKDY NEPROVÁDĚJTE DIST-UPGRADE [ani UPGRADE] s aplikacemi adept, synaptic, ani aptitude. Přečtěte si 'Aktualizace nainstalovaného systému''

Důvody pro použití apt-get pro dist-upgrade

Správci balíčků jako je adept, aptitude, synaptic nebo kpackage nejsou vždy schopni pojmout velké množství změn, které se udává v Sidu (změny závistlostí, jmen, skriptů správců ...). Není to ale chyba vývojářů těchto nástroju. Píšou báječné nástroje, které se skvěle hodí pro stabilní větev debianu, jednodušše ale nejsou vhodné pro tak speciální požadavky, jaké klade Debian Sid.

Používejte cokoliv chcete pro vyhledávání balíčků, ale držte použití apt-get pro vlastní instalování/smazání/dist-upgrade.

Správci balíčků jako je adept, aptitude, synaptic a kpackage jsou přinejmenším nedeterministické (pro komplexní výběr balíčků). Spojte to s rychle se měnícím cílem jako je Sid a co hůř ještě s externím repozitářemé diskutovatelné kvatlity (ty nepoužíváme, ani to nedoporučujeme, ale můžou být realitou na vašem uživatelském systému) a je zaděláno na neštěstí. Dalším nutnou poznámkou je, že tyto GUI správci balíčků vyžadují své spuštění v init 5, a/nebo přinejmenším v X, a uskutečnění dist-upgrade v init 5 a/nebo X (či dokonce 'upgrade', který není doporučován) může způsobit poškození vašeho systému až za hranici možné opravu. Možná ne ihned, ani zítra, ale časem...

apt-get na druhou stranu dělá přesně to, o co je požádán. Jestli existuje nějáké poškození, můžete jej ihned zaměři či opravit. Jestli se apt-get chystá odstranit polovinu systému (jako důsledek změny knihoven), jde o vůli administrátora (tedy vás), abyste se na to alespoň důkladně podívali.

To jsou důvody, proč debian používá apt-get a ne jiné nástroje pro správu balíčků-

Obsah naposledy revidován 14/08/2010 0100 UTC